commit 1ff66fb1323d642f4c4d044d2412496b9cb4c40f
Author: Wim <wim@42.be>
Date: Sun Jul 16 21:32:41 2017 +0000
diff --git a/.travis.yml b/.travis.yml
index f26d7d6..f4428ed 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -206 +2011 @@ matrix:
# tests pass on the stable versions of Go.
fast_finish: true
+jobs:
+ include:
+ - go: 1.8.x
+ - env: MYDEPLOY=mydeploy
+
notifications:
@@ -437 +489 @@ script:
deploy:
- file: binaries/deploy.json
+ file: ci/deploy.json
+ on:
+ condition: "$MYDEPLOY = mydeploy"
diff --git a/ci/bintray.sh b/ci/bintray.sh
index 0d3efa6..4e43ef3 100755
--- a/ci/bintray.sh
+++ b/ci/bintray.sh
@@ -17 +110 @@
#!/bin/bash
+go version |grep go1.8 || exit
VERSION=$(git describe --tags)
mkdir ci/binaries
-go build -x -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-$GOOS-$GOARCH
+GOOS=windows GOARCH=amd64 go build -x -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-win64.exe
+GOOS=linux GOARCH=amd64 go build -x -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-linux64
+GOOS=linux GOARCH=arm go build -x -ldflags "-s -w -X main.githash=$(git log --pretty=format:'%h' -n 1)" -o ci/binaries/matterbridge-$VERSION-linux-arm
cd ci
cat > deploy.json <<EOF
{
@@ -117 +147 @@ cat > deploy.json <<EOF
- "name": "$VERSION-$GOOS-$GOARCH"
+ "name": "$VERSION"